services:
  homepage:
    image: ${HOMEPAGE_IMAGE}:${HOMEPAGE_TAG}
    container_name: ${HOMEPAGE_CONTAINER_NAME}
    restart: ${FLATNOTES_RESTART_POLICY}
    security_opt:
      - no-new-privileges:true
    networks:
      - ${HOMEPAGE_NETWORK_ID}    
#    ports:
#      - 3000:3000
    volumes:
      - ${DOCKERDIR}/homepage:/app/config # Make sure your local config directory exists
#      - /var/run/docker.sock:/var/run/docker.sock:ro # (optional) For docker integrations
    environment:
      PUID: ${UID:-1000}
      PGID: ${GID:-1000}
      TZ: ${TZ}  
